# netdata go.d.plugin configuration for openvpn
#
# This file is in YAML format. Generally the format is:
#
# name: value
#
# There are 2 sections:
#  - GLOBAL
#  - JOBS
#
#
# [ GLOBAL ]
# These variables set the defaults for all JOBs, however each JOB may define its own, overriding the defaults.
#
# The GLOBAL section format:
# param1: value1
# param2: value2
#
# Currently supported global parameters:
#  - update_every
#    Data collection frequency in seconds. Default: 1.
#
#  - autodetection_retry
#    Re-check interval in seconds. Attempts to start the job are made once every interval.
#    Zero means not to schedule re-check. Default: 0.
#
#  - priority
#    Priority is the relative priority of the charts as rendered on the web page,
#    lower numbers make the charts appear before the ones with higher numbers. Default: 70000.
#
#
# [ JOBS ]
# JOBS allow you to collect values from multiple sources.
# Each source will have its own set of charts.
#
# IMPORTANT:
#  - Parameter 'name' is mandatory.
#  - Jobs with the same name are mutually exclusive. Only one of them will be allowed running at any time.
#
# This allows autodetection to try several alternatives and pick the one that works.
# Any number of jobs is supported.
#
# The JOBS section format:
#
# jobs:
#   - name: job1
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#     param2: value2
#
#   - name: job2
#     param1: value1
#
#
# [ List of JOB specific parameters ]:
#  - log_path
#    Status Log path.
#    Syntax:
#      address: /var/log/openvpn/status.log
#
#  - connect_timeout
#    Connection timeout in seconds. The timeout includes name resolution, if required.
#    Syntax:
#      connect_timeout: 2
#
#  - read_timeout
#    Read timeout in seconds. Sets deadline for read calls.
#    Syntax:
#      read_timeout: 2
#
#  - write_timeout
#    Write timeout in seconds. Sets deadline for write calls.
#    Syntax:
#      write_timeout: 2
#
#  - per_user_stats
#    User filter. Module will collect user statistics if filter matches the user.
#    Filter logic: (pattern1 OR pattern2) AND !(pattern3 or pattern4)
#    Pattern syntax: https://github.com/netdata/go.d.plugin/tree/master/pkg/matcher#supported-format
#    Syntax:
#      per_user_stats:
#        includes:
#          - pattern1
#          - pattern2
#        excludes:
#          - pattern3
#          - pattern4
#
# [ JOB defaults ]:
#  log_path: /var/log/openvpn/status.log
#  connect_timeout: 2
#  read_timeout: 2
#  write_timeout: 2
#
#
# [ JOB mandatory parameters ]:
#  - name
#  - log_path
#
# ------------------------------------------------MODULE-CONFIGURATION--------------------------------------------------

# update_every: 1
# autodetection_retry: 0
# priority: 70000

jobs:
  - name: local
    log_path: '/var/log/openvpn/status.log'
    # per_user_stats:
    #   includes:
    #     - "* *"
